# eKorpkit: A Corpus Management Toolkit
![PyPI](https://img.shields.io/pypi/v/ekorpkit) [![CI](https://github.com/entelecheia/ekorpkit/actions/workflows/ci.yaml/badge.svg)](https://github.com/entelecheia/ekorpkit/actions/workflows/ci.yaml) ![Codecov](https://img.shields.io/codecov/c/gh/entelecheia/ekorpkit) [![markdown-autodocs](https://github.com/entelecheia/ekorpkit/actions/workflows/markdown-autodocs.yaml/badge.svg)](https://github.com/entelecheia/ekorpkit/actions/workflows/markdown-autodocs.yaml)

This package provides corpus management tools such as extraction, transformation, and tokenization.
This package does not support downloading corpus files.

## [The eKorpkit Corpus](./docs/corpus/README.md)

The eKorpkit Corpus is a large, diverse, bilingual (ko/en) language modelling dataset.

![ekorpkit corpus](./docs/figs/ekorpkit_corpus.png)

## [CLI Configuration](./docs/cli/README.md)

To see the available configurations for CLI run the command:

```ekorpkit --help```

## References

- [Korpora](https://github.com/ko-nlp/Korpora)
- [The Pile](https://github.com/EleutherAI/the-pile)
- [soynlp](https://github.com/lovit/soynlp)
- [pynori](https://github.com/gritmind/python-nori)
- [kss](https://github.com/hyunwoongko/kss)
- [fugashi](https://github.com/polm/fugashi)
- [hanja](https://github.com/suminb/hanja)
- [ChemDataExtractor](https://github.com/mcs07/ChemDataExtractor)

## License

- eKorpkit is licensed under the Creative Commons License(CCL) 4.0 [CC-BY](https://creativecommons.org/licenses/by/4.0). This license covers the eKorpkit package and all of its components.
- Each corpus adheres to its own license policy. Please check the license of the corpus before using it!
